function getSearchColor(colorType){
var All = document.getElementsByTagName("*");
var ar=new Array();
var Length = All.length;
lenAr=0;
for(var I = 0; I < Length; I++)
{
   src=getStyle(All[I],colorType); 
 window.external.output(src);
   if(src!=null&&src!="transparent")
	{
	 
	 ar[lenAr]=src; 
     lenAr++;
	}
}
ar=ar.distinct();
str="";	
for(i=0;i<ar.length;i++)
{ 
str+='<ul class="main-color"> <li class="color1" style="background:'+ar[i]+'"></li> <li class="color2">'+ar[i]+'</li></ul>';
} 
return str; 
} 
 
// 说明：准确获取指定元素 CSS 属性值
// 作者：John Resig 《Pro JavaScript Techniques》
// 来源：52css
// 整理：will2011 (http://www.51itrencai.com)
function getStyle(elem,name)
{
	//如果该属性存在于style[]中，则它最近被设置过(且就是当前的)
	if(elem.style[name])
	{
		return elem.style[name];
	}
	//否则，尝试IE的方式
	else if(elem.currentStyle)
	{
		return elem.currentStyle[name];
	}
	//或者W3C的方法，如果存在的话
	else if(document.defaultView && document.defaultView.getComputedStyle)
	{
	//它使用传统的"text-Align"风格的规则书写方式，而不是"textAlign"
	name = name.replace(/([A-Z])/g,"-$1");
	name = name.toLowerCase();
	
	//获取style对象并取得属性的值(如果存在的话)
	var s = document.defaultView.getComputedStyle(elem,"");
	return s && s.getPropertyValue(name);
	//否则，就是在使用其它的浏览器
	}
	else
	{
		return null;
	}
}
 

 Array.prototype.distinct = function()
{
    var k=0,n=this.length;
    var arr = new Array();
    for(var i=0;i<n;i++)
    {
        for(var j=i+1;j<n;j++)
        {
            if(this[i]==this[j])
            {
                this[i]=null;
                break;
            }
        }
    }
    
    for(var i=0;i<n;i++)
    {
        if(this[i])
        {
            arr[k++]=this[i]; // arr.push(this[i]);
        }
    }
    
    return arr;
}